From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Mon, 8 Sep 97 10:28:53 +0200
To: linux-m68k@phil.uni-sb.de
Subject: L68K: Save yourself a page
X-Yow: Is a tattoo real, like a curb or a battleship?
 Or are we suffering in Safeway?
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Hi!

We can save one or two pages of kernel memory when the sections of the
kernel image are ordered by alignment restriction.  This minimizes the
gaps between them.

Andreas.

--- linux-2.1.53/arch/m68k/vmlinux.lds.~1~	Tue May 20 17:45:58 1997
+++ linux-2.1.53/arch/m68k/vmlinux.lds	Thu Aug 28 14:03:52 1997
@@ -31,8 +31,7 @@
 	CONSTRUCTORS
 	}
 
-  . = ALIGN(8192);
-  init_task : { *(init_task) }	/* The initial task and kernel stack */
+  .bss : { *(.bss) }		/* BSS */
 
   _edata = .;			/* End of data section */
 
@@ -40,13 +39,11 @@
   __init_begin = .;
   .text.init : { *(.text.init) }
   .data.init : { *(.data.init) }
-  . = ALIGN(4096);
+  . = ALIGN(8192);
   __init_end = .;
 
-  __bss_start = .;		/* BSS */
-  .bss : {
-	*(.bss)
-	}
+  init_task : { *(init_task) }	/* The initial task and kernel stack */
+
   _end = . ;
 
   /* Stabs debugging sections.  */
